CHRONOJUMP DETAILED CHANGELOG:

7 dec 2007 (Major RELEASE 0.62 for Linux and windows)
	avg works on all graphs simple session & multisession (obvioulsy if they have
	avg and sd statistics (global and rjEvolution, not)

	height of graphs is more clever now
	graphs have now it's own icon

7 dec 2007
	report shows AVG and SD (and bolded), simple and multisession. Fixed 499969
	graphs show AVG (now only in sjcmjabkplus and only simplesession)

7 dec 2007
	0.6-svn11
	-graph size depends on number of rows. With a min and a max. (for
	-window and report). Fixes: 501035
	on report, graph shown now under stat (easily printing now)
	-stats has an statusbar where displays when a stat is added to report
	-stats changed to height 600 (was 575)
	-fixed: on stats multisession, if a session has no values on that stat, now
	avg works ok

6 dec 2007
	0.6-svn10
	stats show AVG and SD depending on selected rows. Works for simple and
	multisession. Fixed: 499755

4 dec 2007
	updated es

4 dec 2007
	updated fr, oc, ca
	removed cursor_changed references on glade
	lots of changes on website

20 nov 2007
	0.6-svn9
	Fixed: bug in export, it doesn't export because it wasn't updated to new personSessionWeight
	Fixed: bug in report, it doesn't show ok weight because it wasn't
	updated to personSessionWeight

	Fixed: unsensitivity of button_accept on jumps_runs_more window row selection

17 nov 2007
	Fixed: 495280. Future sqlite compatibility: if someone changes computer and copies db, if db is newer
	than chronojump, says to update chronojump

	Stats peak power formulas:
		-References to "potency" changed to "peak power"
		-(Peak power) PotencyLewis formula fixed. Fixes: 495024
		-Added Peak power formulas: Harman 1991, Shetty 2002, Canavan 2004, Lara
		2006 for male applicants to sports sciencies, 4 Lara female voleibol
		and university related formulas. Fixes: 495026
		-Bahamonde will be included when original article is found.
		-if there's no extra weight, don't show (0) at the right of the jumper

	Started working on window for formulas help. Working on 494246
	Fixed on stats correct shown of comboCheckBoxesOptions when graph

9 nov 2007
	create_release.sh now puts zip in windows_zip_releases and shows more
	info

8 nov 2007
	0.6-svn8
	-Done 494250 Potency formulas can be applied to any simple jump without TC. By default
	selected CMJ or SJ depending on formula
	-Image test icon on bottom left now shows only a zoom icon (with or
	without text). With text is a newly created icon. For this reason 4 zoom icons where added
	to svn and Makefile
	-Lewis formula is ok? found a 2nd Lewis formula

6 nov 2007 (2)
	Fixed sayers potency
	version is now in version file

6 nov 2007
	0.6-svn7
	Potency sayers now is correct (adds extra weight)
	Updated spanish translation

1 nov 2007
	0.6-svn6 (new release soon...)
	fixed bugs: 480401 and 480403: 
	-created window convert_weight for converting the weight of some
	weighted jumps, when jumper changes weight in a session)... done (linked ok with PersonModify (svn added file, and included in POTFILES.in)
	-treeview jumps, jumpsRj works
	-now load a person/s comes with correct weight depending on session where it's loaded
	-converted person.weight to personSessionWeight in sqlite/stat.cs.
	-Works for SjCmjAbkPlus, Potency, GlobalIndexes, F/V
	-report and export to csv works
	-labels of attention in personModify deleted

	improved stats gui:
	-re-activate Hide/ShowUpdateStatsButton (when an event is done, it needs user interaction to update stats)
	-some buttons moved, and hidden "show description" checkbox

	Fixed crash on stats/simple and stats/simpleWithTC
	Fixed crash on stats/global (when show sex is activated)
	Added weightString to GlobalIndexed (F/v) when not sex separated
	Fixed bug in GlobalIndexes weight (F/v), and in f/v stat
	fixed bug in GlobalIndexes showing bad the sex in f/v sex separated

30 oct 2007
	0.6-svn5
	-Started allowing person weight to change between sessions (database
	changed to 0,53) doing 480401. Now software is unstable for sure,
	because this change affects to lot of parts. Tests remaining!
	-DeletePersonFromSessionAndJumps (named "andTests" now) (deletes now also runs, pulses and
	reaction times)	
	-fixed bug on updating database versions and database opening

22 oct 2007
	0.6-svn4
	-Contextual menu on: all treeview events (jumps, jumpsRj, runs, runsInterval, reactionTimes, pulses)
	-Updated .es and .oc
	-Improved gui confirm_window, repair_sub_event
	-Fixed crash on edit jump rj (opened two times) (created on 0.6-svn2)
	-Rollback in bug fix: 486128. There are problems with inheritance and
	the constructors (like crash on edit_jump_rj and the click on "more"
	fixed in last commit
	-minor gui improvements on: new/edit person, new/edit session
	-Web: improved style.css (higher font). Fixes: 488266
	-Web: added infrared pdf (Juanfer)

21 oct 2007
	0.6-svn3
	treeview_persons has contextual menu
	improved dialog_about
	created an icon and shown in all windows (svn add done)
	changed icon of "text available" on image_test
	Fixed bug (created on 0.6-svn2) on click on any test "more" (check all diffs on src/gui for a similar bug)

12 oct 2007
	0.6-svn2
	chronojump.cs (init of program) separated from gui/chronojump.cs.Fixes: 480399
	server:
	-server works now with Mono.Data.Sqlite (Sqlite3)
	-MakeFile includes webservice and WSDL compilation, on english and lot cleaner
	-chronojumpServer.cs renamed chronojumpServerCSharp.cs Fixes: 473721
	-better code to test server on chronojump.cs
	potencyLewis and Sayers now has a description in stat
	not shown descriptions on graph window because normally they don't fit
	fixed bug in session edit (date changed value)
	chronopic.cs to src
	fixed some warnings (unneded "parent" passed between windows) (working
	on 486128)
	updated POTFILES.in

9 oct (2)
	fixed bug on 484758 on today svn up

9 oct 2007
	Working on: 484758: Added support for stats/potency/Sayers in SJl and CMJl. Working, but
	remain testing and put string into "description".
	Now old cmjPlusPotency is called PotencyLewisCMJl

5 oct 2007
	0.6-svn1
	on start (if not first time) ask for chronopic connection. Fixes 482126
	big improvements on gui of stats (made notebook, improved win,
	update_stats button unsensitive until a test finished)
	Added Chronojump Manual info on menu/help
	DialogMessage shows warning or info icons

30 set 2007 (2)
	0.6 release in "About" will show by mistake "0.6-pre11", now corrected: "0.6". No changes
	between both 

30 set 2007 (Major RELEASE 0.6 for Linux and windows)

26 set 2007
	0.6-pre11
	-new dir structure: 
	  +every make creates stuff in "build" dir.
	  +create_release copies from "build". Now there's no need of create_release for local compiling
	  +create release also does a tar.gz and a zip (both with windows and linux executables)
	-double-click/crash init also writes info about send an email. Improves: 478176
	-weight Percent or Kg added to preferences (improved also gui). Works on treeviews, statsWindow, simple jumps with weight, report. Re-fixes (improves): 478168
	-we generally use now Kg instead of % (weightStatsPercent by default as False)
	-improved person selector in stats comboCheckboxesOptions (only shows persons in current stat) (works for simpleSession and multiSession). Imrpves 478168
	-automatic stats updating deactivated until found the crash-deadlock.
	Fixes bug: 478165
	-treeviews are not minimized by default at any task (ir remembers last state) Fixes bug: 478170
	-fixed bug when editing a rj jump weight converted to 0
	-change on preferences(height, weigh, digits) auto changes stats
	-added attention message on edit jump (when changing weight)
	-updated translations: catalan, spanish
	-added juanfer to AUTHORS file

21 set 2007
	0.6-pre10
	chronojump cannot be executed two times. Fixes: 478176
	done a person selector in stats comboCheckboxesOptions
	better stats/type labels on gui/stats, and better code
	cmjStatsPlus sorted 1st by person. Re-fixes: 478168
	Fixed bug: 478171 more person info on csv export and html report
	Fixed bug: when report overwrites then does not show which file is created
	Fixed bug in person change date, now it changes ok
	Fixed crash (bad date) when editing a person created using create multiple

19 set 2007 (4)
	more divisions with double in de denominator. Found doing:
	...chronojump/src$ rgrep "\/" * |grep -v "//"|grep -v "/\*"|grep -v
	"\*/"|grep -v "svn"|less

19 set 2007 (3)
	0.6-pre9
	cmjPlusPotency weight calculations ok. fixes 478168
	all divisions on sqlite/stats are done now by a double. 
	Eg: not 10/2, do 10/2.0 (this doesn't happen in sqlite terminal app)

19 set 2007 (2)
	create_release.sh creates main "releases" dir if needed

19 set 2007
	0.6-pre8
	-sqlite conversion from 2 to 3 (on linux and windows. Fixes: 470879
	-changed dirs for create_release (added windows_specific and linux_specific)
	-improved create_release.sh changed release dir structure. Fixes: 478135
	-improved convert_database.sh and .bat (now more code there and less
	on sqlite/main.cs (try that now work on win....)
	-added chronojump_mini.sh
	-chronojump_mini on windows now don't detect ports (mono issue)
	-backup database before conversion
	-Added occitan translation
	-Added README_svn with info about using svn code

18 set 2007
	0.6-pre7
	-sqlite conversion from 2 to 3 works on linux (there's a hang on windows)
	-added sqlite_utils (sqlite executables and conversors)
	-improved create_release.sh and other sh and bats
	-fixed sqlite bug in stats:
	http://mail.gnome.org/archives/chronojump-devel-list/2007-September/msg00022.html
	-textview in repair now is not editable
	-updated manual: (added reaction time, added repair (jumps, runs),
	added graph test, changed "eventos" for "tests", some minor adds and
	corrections)

7 set 2007
	0.6-pre6
	fixed: 471520 Put some thread or wait 10s to chronopic connection.
	New src/gui/chronopicConnection.cs and glade window
	chronopic_connection, features a progressBar (pulse) and allows to
	cancel. This will help lot of confused users.
	On Linux all is ok, on Windows when there's a cancel or chronopic is
	not detected, there's a need of removing usb cable for trying again,
	and also chronojump will get frozen on exit. But user is warned

6 set 2007 (2)
	0.6-pre5
	fixed bug 473540 of cursorchanged on windows, connecting signal also in the code.
	Now in linux is called two times, but no problem.

6 set 2007
	0.6-pre4
	report html and export csv:
	-implemented reactionTime and pulses, changed also glade
	-Total, AVG and DE rows on jumpsRj, runsInterval and pulses (like on treeviews)
	-localised report titles and new export csv titles
	-limited value rounded

5 set 2007 (3)
	closed bug 470886
	-chronojump.bat and chronojump_mini.bat finished
	-create_release.sh improved

5 set 2007 (2)
	web export: 
	-improved content-type (now unicode is detected on IExplorer) (bug 473543)
	-web export: changing path to relative on linking to css and images

	chronojump_mini now compiled as a prg (svn remove and svn add commands done)
	regread.bat changed for readreg.bat
 
5 set 2007
	Added create_release.sh, installChronojumpWindows.bat and regread.bat

4 set 2007
	0.6-pre-3; 06-pre2
	-Fixed bug in countingTotalTime on util (for treeviews) (it counted "-1"and "-")
	-play system bell on windows instead of wavs
	-autodetection of ports disabled on Linux and Windows
	-fixed bug on Util.TrimDecimals when sql returns a "-" (detected on stats RjEvolution)
	-better code for show-hide action buttons
	-Added lots of Chronopic info on manual
	-Added MAINTAINERS file

25 aug (2)
	Added occitan translation

25 aug 2007
	-guis EditJump, EditJumpRj, EditRun, EditRunInterval now inherit from the new gui/event.cs EditEvent
	-added EditReactionTime and EditPulse (both inherit from EditEvent)

	-when an event is deleted edit, repair and delete buttons are hidden because nothing is selected (not done in delete last, because the selected can be another event)

	-hidden pulse more, last (unimplemented)

24 aug 2007
	- Makefile now compiles chronojump.prg (not chronojump.exe)
	- chronojump_linux.sh executable it's included (if needed
	exports the LD_LIBRARY_PATH from ~/.bashrc that's not on the gnome
	environment. This allow to execute chronojump without terminal
	debugging messages
	- Program can be also called from the commandline with "mono chronojump.prg"
	- Please, delete locally the chronojump.exe for not having confusion

22 aug 2007 (2)
	fixed bug in cancelling reactive jumps when we jumper is on (and he should be off) or viceversa.

22 aug 2007
	improved image_test: 
	-show a image of text info when longDescription is available for selected test
	-show chronojump_logo when change notebook
	-fixed little bug in run values

	-Added initially selected seconds as description on rj limited by time
	-last value of RJ jumps or seconds limited, selected by default
	-edit,selected,repair buttons and menuitem only shown when specific
	event selected
	-Added non standard (not in mono) icons: 3 bells, volume (high, muted),
	statistics, report_window, graphs on stats win, repair events, delete
	events, delete_last, repetitive conditions, eventExecute
	-Now volume shows different icon if it's on or off
	-Improved message on ending run interval

	Bugs Fixed:
	-Fixed bug on not showing correctly the personName on some parts of the code (like editing an event)
	-Fixed crash on click repair pulse
	-Fixed crash on expand a row on run_interval

17 aug 2007 (2)
	fixed bug 447160: Round instead of only TrimDecimals
	http://bugzilla.gnome.org/show_bug.cgi?id=447160

	fixed bug on Cancel event before started and having to touch platform (tests remaining)
	http://mail.gnome.org/archives/chronojump-devel-list/2007-August/msg00000.html

17 aug 2007
	added longDescription (localizable) of all agility tests
	jumpsMore, jumpsRjMore, runs, runsInterval show description localised
	fixed crash on edit jump and jumpRj
	updated translations: ar, ca, dz, en_GB, es, fi 

16 aug 2007
	0.53-svn Not yet ready to be used on windows mono
	Working on Windows Mono version!!
	-language selector is also hidden on windows now (mono works with
	locale)
	-new method to connect with sqlite:
	using Mono.Data.Sqlite instead of using Mono.Data.SqliteClient. Adding
	some dbcon.Close(); because now chrases if they are not present

	PENDENT: connect fine with "data source"
		see how to update old database if needed
	
	-fixed some bugs on two dbcons opened at same time
	-Changing from Mono.Data.SqliteClient to Mono.Data.Sqlite (new in
	 mono.1.2.4) because old connection system fails a lot on chronojump
	 mono windows
	-changed stock icons (don't work on win)
	-fixed bug on reaction times treeview header:
	http://mail.gnome.org/archives/chronojump-devel-list/2007-August/msg00001.html

21 jun 2007
	Fixed bug on graph djQ & djIndex: Changed "Grey" from "Gray"

15 jun 2007
	test to fix this bug thread:
	http://mail.gnome.org/archives/chronojump-list/2007-June/msg00013.html
	
11 jun 2007 
	added juanfer as author in about

7 jun 2007
	Fixed bug on report / stats adding
	fixed bug on report destroy window
	fixed Makefile

14 may 2007
	finished gtk2 integration, Bug 433446 ¿ Convert to gtk-2.0 (Closed)
	changed obsoleted:
	`Gtk.TextBuffer.SetText(string)' is obsolete: `Use the TextBuffer.Text property's setter'
	`Gtk.TreeStore.Insert(out Gtk.TreeIter, int)' is obsolete: `Replaced
	by InsertNode' (same for Append and AppendNode)
	`GLib.Object.Data' is obsolete

	Added description of every event on all main treeviews (but pulse and
	reactionTime still have no "edit" implemented)
	
	fixed bug in jumpsLimited assignement on jumpRj
	fixed gnome dependency on glade. (works with Glade 2.12.1)

12 may 2007
	changed NPlot dlls for working on Linux on mono web installer (mono
	installed on feisty is buggy with serialport)
	Nplot plots the texts now

11 may 2007
	fixed bug in sqlite addgraphlinks insertion (dbcon opened or not)

7 may 2007
	gtk2 integration: ALL combos replaced for comoboxes
		all test combos in main window,
		PersonRecuperateFromOtherSessionWindow, PersonShowAllEventWindow
		EditJump, EditJumpRj, EditRun, EditRunInterval
		Preferences, stats, languageWindow
	gui improvements on mainWindow
	added UtilGtk

5 may 2007
	fixed combo_jumps.active calls
	put AllJumps as active

5 may 2007
	gtk2 integration: 
		-all onSelectionEntry() on treeviews work now: sessionLoad, personRecuperateWindow, 
		PersonsRecuperateFromOtherSessionWindow, reportWindow, RepairEvents windows, treeviewPersons
		-1st combobox working: combo_jumps
	new features:
		-buttons for agility on runs
		-select graph works on more on runs & runsInterval. 
		-added mini/agility_hexagon.png
		-put "others" on menu, and include pulses and reaction time there
		-zoom button on image_test changed to gtk-info
		-chronojump_logo and report_css as resources
		-chronojump_logo on startup
	bugs fixed:
		-on not ending good reactionTime (EventType was not assigned)
		-if something is selected on jumps_runs_more, the dialogImageTest should have correct info
		-fixed CMJ_l name on DB
	Cleaned code on all "more" gui and on loading glade

3 may 2007
	new code now runs on windows: updated csproj, changed way to load image resources

2 may 2007
	button_enter (like mouse_over) now shows the graph
	added run, runInterval images
	jumps_more, jumps_rj_more shows the graph
	jumps_more, rj_more inherits from EventSimpleMoreWindow
	Fixed graph of ABK and SJl 

30 apr 2007
	changed all SJ+, CMJ+, ABK+ to SJl, CMJl, ABKl
	added graphs: jump_free, jump_rj_in, jump_sjl
	linking all graphs to jumps and jumpsRj

30 apr 2007
	added graphs for sj, cmj, abk, dj, rj, rocket (not linked in soft)
	last event button is not sensitive now when there are no events

29 apr 2007
	changed to gtk-sharp-2.0 and glade-sharp-2.0
		-changing the selected method on treeviews (see gui/session load)
	NPlot updated to 0.9.9.2

	Added Agility tests: 423350
	Showing little image of every test 423352 (only for agility now)
	DialogImageTest works getting the eventType name and image
	added 5 agility tests: (20Yard, 505, Illinois, Shuttle-Run & ZigZag) with its images
	added rocket jump
	added sqlite/event.cs with graph stuff
	added "mini" images dir and files
	added eventType.cs, reactionTimeType.cs

	edit run shows speed in correct units
	Fixed bug: 433444: Constants created before Catalog: "All jumps" was no localized
	preferences decimals number, min is now 1 (was 0)

23 apr 2007
	1st test on put images of tests on main window
	1st test on DialogImageTest (with image and text)
	
	Added: src/gui/dialog_image_test.cs, images/no-image.png
	images/agility_505-h150.png
	
	event execute win is now centered
	better tables on eventExecute
	main notebook can displace (good for maemo)
	1Km, 2Km not shown on run execute bar and menu
	Makefile compile if glade changed

7 apr 2007
	Added portuguese from portugal

31 mar 2007 (minor RELEASE 0.52 for Linux and windows)
	Added totalTime, avg and Sd in treeviewJump and treeViewPulse
	updated translations to catalan and spanish (dzongkha deactivated on windows)
	logo & css copied to userDir if not done before
	metersSecondsPreferred ok on executeRun
	"catched" error on languageChange if there's a problem (like Dzongkha on Windows, .NET)

28 mar 2007
	Added totalTime, avg and Sd in treeviewRunInterval
	Changed title of webpages (show all tests info)

27 mar 2007
	"Event" for "test": working on 423353
	Removed help in gui/event until know how to explain better

27 mar 2007
	Now in languages it's show the name, but recorded the code
	Added catalan into language menus

23 mar 2007
	Added catalan translation, thanks to Eli

20 mar 2007 (minor RELEASE 0.51 for windows)

20 mar 2007
	fixed: 420520: problem with chronopic timeout in mono1.2.3
	minor gui improvements

20 mar 2007
	repetitive_events works also for run (closed 65733)
	new feature!: shows "good", "bad" icons on eventExecute
	improvements on repetive_events close, delete

19 mar 2007
	Done: 65733 (Conditions for ending repetitive events: not end, now "beep"). 
	endingConditions.cs moved to gui/repetitiveConditions.cs

	new feature: "realtime" sounds in configurable values of tf, tc & tf/tc in reactive jumps (src/gui/repetitiveConditions.cs)
	sound: "question" when user can start event, and "beep" when should go up or down & click again
	sound can be activated or deactivated from mainwindow
	this does not compile with 1.2, needs mono 1.2.3

	some imagebuttons changed
	event execute tc/tf values inverted (clearer now)
	repair event shows events with correct decimals

15 mar 2007
	Doing: 65733 (Conditions for ending repetitive events). Done endingConditions.cs

14 mar 2007
	closed 417961

13 mar 2007
	working on 417961: temp table for long repetitive events
	need check: (counting & deleteTemp after threads have done)
	need: do stuff on start if a temp table is found

9 mar 2007
	runInterval now doesn't crash. Fixes: 409775 & 407772

7 mar 2007
	reactionTime session info on load session
	reactionTime on show person events
	delete selected reaction time && delete selected pulse works

6 mar 2007
	units in all treeviews (except in stats)
	fixed use of m/s or km/h in different parts of code like run treeviews
	reaction time before pulse. In the gui, and in the code

5 mar 2007
	We have now reaction time!! (works for simulated and real)
	-remains code in: load sess, search person events, menu stuff
	-database changed to 0.47

	Created compile_po_files.sh for updating the translations when needed

	starting catalan translation

	rewfiles: compile_po_files.sh, src/reactionTime.cs,
	src/execute/reactionTime.cs src/treeViewReactionTime.cs
	src/sqlite/reactionTime.cs
	po/ca.po locale de ar i de ca
19 feb 2007
	"finish" works now in all events (donie like in cancel with totallyFinished)

19 feb 2007
	cancel works now in all events (using totallyCancelled variable, and a
	popup) (fixes: 409571)

	fixed preferences bug on Linux created at 18 feb

19 feb 2007
	Standard deviation (or typical) on stats (fixes: 407044) Thanks to Carles Virgili

18 feb 2007
	language window on first start on Windows (fixes: 353049)

18 feb 2007
	Added "Free" jump
	UI: separated "more" buttons from predecessors
	Added Dzongkha support

13 feb 2007
	fixed bugs: 
	- in runInterval, extraWin was shown when sometimes there's no need, after aclick on "last" button
	- when a runInterval subrun limited by time or unlimited, finish after the time prepared for the whole run, it doesn't get saved, and
	it shows message to user.
	- fixed bug: when a jump type is created it's shown always at more jumps at first time (works for simple and reactive) Works also for both types of runs
	- if CSV export with not extension, now adds "csv" and not "html" or "html"
	- "Woman" is shown now when a woman can be loaded to a session

	new features and other changes:
	- person show all events window: show pulses now
	- export CSV now separates with ';': better export to gnumeric, excel an OO
	- Added info about CSV export in menu and the tooltip
	- Tooltips in event buttons and in menu
	- chronojump.cs removed connect to server

	there's a crash now in runIntervallic with chronopic
12 feb 2007
	Connecting to server from gtk client. Changes on Makefile
	migration cvs -> svn

22 nov 2006
	Server integrations:
		sqliteMain uncommented references to other sqlite files. Now sqlite works again
		all events working with execute classes separation:
		added src/execute/run.cs & src/execute/pulse.cs
		clean code & tests pending. Also check the if(currentPulse.Finish) on chronojump.cs 2444

	Fixed sensitiveness of buttons when a event is done

20 nov 2006
	Server code started (connects to DB and uses chronojump methods).
	Fixed bug: 353051

	separating events and eventExecutions, for calling event
	definitions from the server without the need of gtk or chronopic: done
	event, jump and jumpRj. Rest of events are unusable now.
	Added src/execute/event.cs src/execute/jump.cs 

	Fixed bug: When a event is deleted, if it gets updated on eventWindowGraph,
	chronojump chrases (chrashed when there are no events of this person).

6 nov 2006
	On windows report file has extension "htm"  (linux "html")
	Fixed tf in rjEvolution graph
	progrVersion changed to "0.5-Rev4"

1 nov 2006
	Windows changes (also affects Linux)
	-dialogMessage about close/open chronojump if port is not detected (if not close, the good port values can also fail on windows (timeout problems))
	-database copy, fixed path
	-corrected circle position
	-added finish and portuguese (BR)
	progrVersion changed to "0.5-Rev3"

28 oct 2006
	added pulse menu (closes bug: 365918)
	fixed notebook_change
	progrVersion changed to "0.5-Rev2"

27 oct 2006
	fixed bugs on eventWindow:
	-updated graph on rj by time when a jump is deleted because exceeds
	-not count an extra jump if user is in platform when time ends and
	allowFinish... is true
	-end time is always shown ok when allowFinish... and it exceeds
	progrVersion changed to "0.5-Rev1"

26 oct 2006 (RELEASE 0.5 Linux)
	timeLimit blinky fixed on eventWindow
	fixed value of events done on interval and reactive when last subevent is
	deleted because of the synchro between chronometers

24 oct 2006
	progrVersion changed to "0.5-Pre5"
	runInterval timelimit uses new jumpReactive time limit code
	eventWindow does not get on the front of errorWindow ("go out", "go in")
	
24 oct 2006
	Fixed number of jumps if rjTimeLimit deleted last jump

24 oct 2006
	progrVersion changed to "0.5-Pre4"
	on rjTime limit, no events can be now out of time
	PulseGtk from 150ms to 0,5

21 oct 2006
	fixing limit in rj time...
	progressBar time is in activity while waiting intervallic first run

20 oct 2006
	fixed limit in rj time

20 oct 2006
	fixed bug in treeview time limited on rj when allowFinishRjAfterTime is true

20 oct 2006
	updated translations (on locale), added fi, en_GB

18 oct 2006
	progrVersion changed to "0.5-Pre3"
	On windows, comprobation of Chronopic is not made now (it crashed for
	the timeout)
	fixed bug: 355306 (max decimals == 3 , forced in widget on preferences)
	fixed bug: 360980 (now AVGs of reactive and interval limited by time
	are seen ok)
	
15 oct 2006
	progrVersion changed to "0.5-Pre2"
	string freeze

	Fixed final time in soft chrono in eventWindow in all events
	
	databaseVersion 0.45 (added allowFinishRjAfterTime)
		-preferences can select if finish rj time when jumper lands (after time finished)
		
	runInterval now counts also the tc's (race = tc+tv)
	
	updated help on eventExecuteWindow
	disable help on eventGraphConfigure
	eventExecute: math.round: 3 decimals
	fixed run time phases on eventExecute
	fixed some showing of -1 values on eventWindow

13 oct 2006
	progrVersion changed to "0.5-Pre1"
	
	All events does not do the graph directly, they create an object,
	put a flag, and the GTK thread does it
	new file:prepareEventGraphObjects.c
	Also it doesn't end the event directly, uses another flag
	This will help with thread problems when graph hasn't finished (normally related to Pango)

	timerCount is shown on the eventExecute on runs simple
	and synced at end with chronopic data in progressbarEventOrTimeExecution 
	-runInterval is synced, but id doesn't work. See updateTimeProgressBar() 
	-also pulse (does not work)
	
	eventWindow "auto" also for MIN (not default). Works on all events
	texts are shown on graph (minY, maxY and guides).
	
	lines end with a circle (deactivable)
	jumpReactive, run interval, and pulse has Y beige lines (deactivable)
	jumpReactive, runInterval and pulse write at right the values
	
	graph get erased just when start a new event
	eventExecute on_update_clicked is called only one time now
	eventExecute hide the tables before showing itself

	main progressBar deleted, statusBar fills now all space
	fixed: pulses buttons where sensitive while any event
	eventGraphConfigure moved to new file src/gui/eventGraphConfigure.cs

10 oct 2006
	graphEventWin & graphConfigureWin for pulse: closed: 353054
	eventWindowRuns graph time OR speed, config on graphConfigureWin

10 oct 2006
	-fixed buggy effect when user cancels a event and it's recorded as zero
	-now delete_last_event button is not sensitive after a cancelled event
	-finish now only appears when there's some reactive or interval
	recordable (with one or more subevents)

10 oct 2006
	graphEventWin & graphConfigureWin for run interval (only pulse remains)
	eventWindow now is not hidden by mainwindow everytime we do a different type of event
	fixed bug in maxValue (not auto) in runInterval
	deletelastEvent now deletes intervallic run. Fixes: 360982

9 oct 2006
	-eventbox for colors on tc/tf labels on eventWindow
	-fixed bug in reactive jump by time (it finished when time passed but jumper hasn't started)

9 oct 2006
	graphConfigureWin works for jump reactive
	graphEventWin & ConfigureWin works for run simple

9 oct 2006
	Added graphConfigureWin, allows to fix vertical margins, and
	put guides (currently both only on simple jumps). 
	Nice update button for testing the graph properties

5 oct 2006
	eventWindow gets cleaned before every new event
	eventWindow: fixed bug on starting timer on Reactives before the jumper does
	anything. (Ion timer progressBar shows a pulse with no values first,
	and a progress with time later)
	
3 oct 2006
	Added chronojump glossary for translators

3 oct 2006
	eventWindowGraphs: 
	- rj gets dinamically updated, with avgs, colors and different linetypes
	- works for all kind of jumps (simples, dj, reactives (limited by
	jump, time or unlimited)
	- colors in simple and dj jumps
	- fixed bug on "finish" not sensitive before

2 oct 2006
	first test of reactive jumps with gtk interaction on pulseGTK, and
	graph on evetnWindow

2 oct 2006
	- IMPORTANT: on simple jump (and DJ): all the gtk interaction is done only on PulseGTK (not
	on waitEvent), this seems to solve the thread problems
	All the rest of events are broken now
	
	fixed bug on errorWindow

1 oct 2006
	changed lots of strings for better translation
	EventExecute: changed rows tv/tc
	
27 sep 2006
	EventExecuteWindow:
	-passed data of current simple or dj, passed also the person and
	session avg for this event (sj, cmj...) at this session
	-added help button and its message in new help dialog
	-"finish" cannot be pressed in event without subevents
	-improved gui

26 sep 2006
	starting graphs on EventExecuteWindow
	fixed bug in allowing press 'finish' when a event has finished

24 sep 2006
	run, run intervallic, pulse uses the EventExecuteWindow (bug 355599 fixed)
	bug 357341 (75%) autoincremental copy of database done, but not compressed yet (not possible in current Mono implementation)

	Real simul goes at correct speed with the sync of 150 ms on timerCount calls
	Fixed bug in opening changing two times to radio_chronopic when is not available

23 sep 2006
	New common EventExecuteWindow!! (working on bug 355599)
	simple jumps, drop jumps, and reactive jump now use the common EventExecute window 
	deleted the new Timer and make the PulseGTK do his function: 
	 1- move the activity mode progressbars
	 2- decide if a event should finish by time
	fixed bug in preferences chronopicPort string

22 sep 2006
	really simulated for normal jump, Drop jump, and reactive jumps
	code reorganization: onTimer at event class

20 sep 2006
	75% separating EventExecuteWindow in new file src/gui/event.cs,
	JumpRjExecuteWindow inherits (bug 355599)

19 sep 2006
	Changes in Rj Execute Windows: 
	- now has two progressbars: jump, time.
	- Time progressbar updates 10xsec
	- close button is unsensitive while jumping (there's cancel and finish)
	- Closing window while jumping is threated as cancel (event raised)

19 sep 2006
	Fixed Bug: 356569 "Problem with day/month month/day on recording dates"
	Better integration of dates in all code
	
	Shown a message dialog with fileName of report or exportSession

18 sep 2006
	Added a calendar and shown the dates to user in his locale. Fixes bug: 356005

13 sep 2006
	added Q Index, Dj Index support in treeview_jumps simple and reactive.
	Configurable by preferences. Changed database to 0.44 and
	auto-migration done. Fixes bug: 355309

8 sep 2006
	event buttons done get unresponsive when a rj jump is cancelled. Fixes bug: 354334
	fixed? cancelling of pulse

7 sep 2006
	Preferences window can be used when no session is created/loaded, fixes bug: 353909
	Code cleaning in chronojump.cs
	
7 sep 2006
	default port on Linux different than on Windows, fixes bug: 353905

27 jul 2006
	improvements on person recuperate
		A search filter name has been added
		rows cannot be selected now (the important is the checkbox
		row). 
		Improved sensitiveness of button_recuperate in same window. 

	improvements on person recuperate from other session
		Does feedback of inserted persons. 
		Improved sensitiveness of button_recuperate in same window. 
	
	added french to preferences (forgotten)
	catalog.cs deleted from cvs (not more needed, now using Mono.Posix)

25 jul 2006

	added french translation.
	updated windows 0.48 zip

25 jul 2006 (fixed bug in starting 0.48 for windows when database is not created)

24 jun 2006 (minor RELEASE 0.48 for windows and Linux)


23 jun 2006
	preferences can choose language on windows
	database 0.43 has also language preference
	fixed bug in repair event windows

16 jun 2006
	fixed little bug in custom pulse

15 jun 2006
	now custom pulses can be done, expressed on seconds-between-pulses or
	ppm (nice for integrating with gtick), and unlimited or limited
	
	progressbar works
	
	added src/gui/pulse.cs (pulse extra). Makefile and csproj changed

15 jun 2006
	working on "0.48 CVS" version, it has Event class, parent of jump, run and pulse
	added src/event.cs (makefile and csproj changed)

	pulses code is working! currently only for "free pulse" type
	treeviewPulse is working
	last_event_delete for pulse is working
	
	changed database version to 0.43 (adds de free pulseType). Correctly
	repaired in first chronojump 0.48 boot.

	loadSession shows pulsesNum

	added info on not-implemented-yet pulse buttons
	improved some glade tooltips

11 jun 2006
	chronojump_mini named chronojump-mini (solved problem with cvs
	POTFILES.in)
	improved text managing on ports info, also chronojump-mini.cs in
	POTFILES.in
	
8 jun 2006
	fixed more english strings, thanks to Clytie Siddall (Vietnamese
	translation)

4 jun 2006
	load persons has now a statusbar showing who's just loaded

	on linux starts also always as simulated (avoid problems with gtk
	radiobutton chronopic menu)
	
	fixed web site on report

	fixed lots of english strings, thanks to Clytie Siddall (Vietnamese
	translation)

16 may 2006
	helpPorts now shows different info for Linux and Windows, and in
	Windows autodetects ports

15 may 2006
	dialogMessage (with an icon) prints info when starting in Simulated mode, and when
	auto-changing to simulated because there are problems with chronopic

	little changes in platform radiobuttons callbacks

12 may 2006 (minor minor RELEASE 0.47a, linux and windows)
	fixed bug in opening window for add_jump_type and add_run_type
	fixed bug in more jumps and more jumpsRj 
	
10 may 2006 (minor minor RELEASE 0.47, only for windows)
	default port: COM1
	updated manual

9 may 2006
	chronojump and chronojump_mini both work nicely on windows and linux (events, graphs, ...)
	
	Util.IsWindows prints the operating system
	In every Chronojump windows start, put "simulated" in preferences (for solving chronojump crashes on windows for not detecting the chronopic
	
	Chronopic doesn't configure DefaultTimeOut if it's on windows (until
	we know how to do it)

	Before changing to chronopic mode on windows, it's shown a dialog like:
	"if it's windows, you have to generate a event with chronopic, if not,
	it will crash, restart (simulated automatically) and then select another port". 
	New class DialogMessage for all kind of dialogs.
	Finally used a confirmWindow because then, chronopic is called wen
	user clics on accept button.

	chronojump-mini now named chronojump_mini (better for Makefile)
	chronojump_mini picks port from the user
	Makefile (Linux) compiles also chronojump_mini

9 may 2006
	windows compatibilty: added chronojump.csproj, chronojump.sln and the
	four Nplot dlls for windows
	
	fixed little bug in report window

8 may 2006
	TreeViewPulse now inherits from TreeViewEvent. Code is a lot cleaner
	
	Glade is called as assembly and with a try{}catch{} that allows linux
	and windows assembly reference
	
	Added dialog with help in ports (is shown on preferences window)
	
	row_double_clicked events as Gtk.RowActivatedArgs args
	delete_events params as DeleteEventArgs args
	
7 may 2006
	TreeViewJumps (simple and reactive) now inherits from TreeViewEvent. Code is a lot cleaner
	
7 may 2006
	windows compatibility
		chronopic code now uses mono/.net (2.0) and serial port code in
		chronopic.cs (the .so is no more used). Makefile simplified a lot
		
		all gnome code & glade replaced for gtk (stock-icons,
		dateedit, about dialog,  Application Window,  Application
		bar) 

		added gui/about.cs
		
		catalog.cs checks if there's gettext
		
		default chronopicPort is /dev/ttyS0 (added '/dev/' because
		windows ports doesn't have the '/dev/')

		fixed some double '+' that crashed on .net
	
	fixed crash in opening preferences window
	added icons in the menu

4 may 2006
	Created new parent class TreeViewEvent
	TreeViewRuns (simple and interval) now inherits from TreeViewEvent. Code is a lot cleaner
	and extensible (soon jumps, pulses and others will inherit easily)
	
	fixed bug in treeview run interval expand..delete buttons

1 may 2006
	databaseVersion 0.42: pulse and pulseType tables
	some advances in pulse
	added translator_credits to about
	simplified chronojump.cs sensitiveGuiYesPerson and sentitiveGuiNoPerson

21 apr 2006
	pulses code started (gui in main window, pulses.cs, pulseType.cs,
	sqlite 1/2)
	
	fixed bug in comunicating gui/stats.cs with statType.cs, the
	ckeckboxes doesn't change when combo in stats is selected after
	a graph is done (the stat doesn't had values for: store, treeview.Model and markedRows)

3 feb 2006
	fixed changing of port in preferences and activating chonopic

2 feb 2006 (minor minor RELEASE 0.44a)
	created cmjPlusPotency statistic and graph. Added files: src/stats/cmjPlusPotency.cs, src/stats/graphs/cmjPlusPotency.cs
	
	Util.TrimDecimals now handles corrrectly decimal values higher than 9.99

	calculateSD deactivated in stats/main.cs doesn't work ok

	TODO: 
		- a person can have decimal weight
		- if person weight changes, ask about: 1.- changing all the weights
		%in the current session. 2.- in all sessions; 3.- don't change
		weights. Notify first the weight jumps in all sessions, only
		ask if there are weight jumps in a session
		- velez 50%

28 jan 2006
	event treeviews improved:
		- unnable to select persons for not confusing users about who
		do events (treeview persons is the responsible)
		- removed sort_by_type because was unnecesary

27 jan 2006
	fixed bug in raising fakeButton in report/graphs (sometimes chrashed
	report)
	
19 jan 2006 (minor RELEASE 0.44)
	stats window shorter (465 px) for fitting in a 640x480 resolution

13 jan 2006
	fixed bug in creation of rjJumps limited by time that allows sometimes
	finishing with a tc and this made crash the stats/rjEvolution

	all the graphs now in not-light colors
	
12 jan 2006
	edit run allows changing type, distance and time; speed changes automatically.
	EditRunInterval widget fixed (is the same gui as edit run)

11 jan 2006
	edit jump, jumpRj allow to change lot of data of the jump. Also some rows
	hidden. Do the same with runs

	treeview_persons in alfabetical order (when add or load a person, it
	puts in correct row, and scrolls the treeview if needed)
	treeview jump & run scrolls automatically to new event

	fixed division by zero in rjexecution gui progressbat_tv_tc
	fixed bug in edit jump & edit jumpRj (jumpername)

6 jan 2006 (minor RELEASE 0.43)
	graphs: all multisession graphs and rjEvolution now have a palette in
	constants.cs if palette is small for graph, then use random but values
	far from white

	graph rjEvolution now has different marker for tv and tc

	report: less cols for persons if not needed
	report: rjEvolution jumps data in rows
	
	fixed size in treeview persons

	fixed three noticeable bugs: (1) some bad code inherited from old use of
	"all/none" row in stats treeview, (2) some bad code for the old using
	"id: name" for comboPerson. These bugs make crash the rjEvolution
	report, and makes problems in some parts of the code if the jumper
	name has no ' ' (3) checkboxes in treeview stats doesn't add rows to
	markedRows without checking if that exists (and delete doesn't check
	if there is more than one of every row)

	fixed all warnings
	
2 jan 2006 (minor RELEASE 0.42)
	persons gui changed, deleted the combo and now managed with a clearer,
	easier, powerfuler treeview at left of main window (added
	treeViewPerson.cs)
	
	fixed bug: not showing jumps after deleting a person from a session
	
1 jan 2006
	improved rj execute window
		show/hide checkbox for tv/tc
		added arrows, better info jumps/time, nicer window
		simulated mode now uses the avg progressbars

	written SqliteJumps.FindBadRjs for find old rjs with different number of tcs than tvs


30 des 2005
	window for jump reactive executing with realtime info done.

	now rj jumps finish when fall down (always on finishing a tv)
	time limited jumps doesn't record last jump after the time
	
	preferences can change chronopicPort, if doesn't exists, it's created at chronojump start
	changed "serial port" name to "chronopic" in menu
	
	optimization on gui/stats.cs, now creation of treeview stats is 4 times faster (using blockFillingTreeview variable)

	added -nowarn:169 at compile for hide fake warnings between glade and code
	
14 des 2005  (minor RELEASE 0.41)
	jumps and jumpsRj show values in realtime in progressBar

	repair_sub_events repairs also interval runs

	cannot make 3.5 jumps (last tc will be deleted)
	also cannot select 3.5 jumps in jump extra
	fixed when finish button is pressed and no event was done

	minor: decimal numbers by default to 3 (milliseconds)
	minor: clean weight representation in treeviewjump add

7 des 2005
	repair_sub_events (reactive jumps) finished!
	notebook changes for some menu events
	small bug fixed in showing delete_last button when no jumps or runs done

7 des 2005
	new window: repair_sub_events, allows repair reactive jumps by parts (future also runs). 
	Currently can add, edit, remove subjumps (different actions depending
	on jumpType and selected row)
	TODO: record the new data

	BUG fixed in detection of it startsIn in Rjs creation
	BUG fixed in ChangeDecimalSeparator when no data is selected (affects
	edit jumps and runs)
	
5 des 2005
	TODO: errorWindow in auto changing to simulated

	treeview_stats have a combo for selection of multiple combination of
	rows in gui/stats.cs, and when no rows selected, graphs and report
	cannot be done

	treeview_stats combo can select male or female in all stats

	if there are problems for accessing to /dev/ttyS0, now changes to
	'simulated' automatically. Future: show a errorWindow

30 nov 2005 (RELEASE 0.4)
	fixed bug in printed report (some persons doesn't shown, and order was
	not correct)
		
	0.4 in About
	
	fixed getInitialSpeed, formula was bad

	chronopicInit only if non simulated

	changed chars separating data in gui/report.cs from '\n' to '\t' for
	solving bug in spanish translation. In the future, scape possible '\t'
	in any translation

21 oct 2005
	Finished localization of classes with ChangeDecimalSeparator
	All weights in treeviews, stats, graphs and reports are in % (no selectable option in preferences)
	New class Constants in new file constants.cs for formulas and other strings

	web: created FAQ in spanish

	Fixed bug in stats gui when change type from "simple" to "with TC" and "All jumps" is not selected

	updated pot file and spanish translation 
	
	Changed sample database version to 0.41
	Enunciate in stats person should write person name

17 oct 2005
	localizating chronojump (all database decimal characters are '.' and in application depends in the locale. Done by two new methods in Util class: 
		string ChangeDecimalSeparator(string myString)
		string ConvertToPoint (double myDouble) overload:
			string ConvertToPoint (string myString)
		(remaining some stats classes)

	Repaired weight in stats (%, kg), all weight in database is now recorded in % for later can do avg in stats directly from database.

	Done individual selectable jumps (checkboxes in treeview) for graphs and report.
		multisession graphs are ok with checked boxes code
		rjEvolution graph is now ok with checked boxes code
		reports (graphs)  are now ok with checked boxes code
		striped off unwanted row stats in reports  
		
	Report has a "show Rj subjumps" option and show interval subruns, if deactivated (default) result is nicer and more comparable but less complete)

	Using gnome CVS
	
	Minor changes:
		improved windows stat and report
		changed accessibility of all sqlite functions from protected to protected internal for new mono
		fixed bug in edit jump, now changing the owner changes the weight
		fixed bug in ToString in rjevolution graph with mark consecutives
		fixed bug in showing not-rjevolution stats with consecutive

24 set 2005
	doing individual selectable jumps (checkboxes in treeview) for graphs and report.
		TODO (done in next commit):	
			* now rjEvolution graph is not correct
			* now all multisession graphs are broken
			* later check reports and graphs in reports

	In create persons multiple two persons with same name cannot be added together

	minor changes
		fixed bug: button and menuitem show all person events hided when there is no current person
		fixed little bug? in counting report images
		cleaned stats/main.cs

22 set 2005
	from stats/reactive/evolution it's possible to find the best subjump
	or the 'n' best consecutives subjumps. Done for stats and report (currently not possible to implement in
	graphs)	(closes task 295)

21 set 2005
	finished presentation of stats, closed task 295

	added enunciate (comments) to all stats and graphs

	decimals number in CSV and report set to 4
	
	improved presentation of report, improved css
	added report_web_style.css
	added chronojump_logo.png

	TODO: solve how chronojump_logo.png and report_web_style.css go to
	.chronojump dir in the installation of chronojump.

20 set 2005
	report prints session, persons, all jumps and runs
	report to UTF-8 solved latin char problems

19 set 2005
	report of all stats and graphs done (TODO: improve graph size and info
	to user included in HTML) (task 295 at 90%)
	
	report: images save in correct directory and are linked in html

	cleaning StatType (added StatTypeStruct, affects all stats and graphs
	classes)
	
	fixed bug: program crashed when graphing an empty stat (report or not)

16 set 2005
	more code for report:
	1.- new file src/statType.cs (statType class), now gui/stats.cs and report.cs create needed stat and call to prepareData and CreateGraph if needed
	2.- lots of changes in Stat and StatWindow classes
	3.- Stat.CreateGraph can plot into window or to a file (for report)
	4.- added src/stats/report/sjCmjAbk.cs

9 set 2005
	report (doing task 295)
		- widget make report done
		- class report.cs done (added src/report.cs)
		- button "add to report" added on stats widget (added
		src/gui/report.cs). It comunicates with report.cs
		
		- doing: select the file and print the report, and show some
		"ok" info (inherites from exportSession).
		-pending: manage how stats and graphs classes print in HTML
		
	exportSession record runs and runsInterval

	All widgets (except app1, jumps_runs_more, stats_window,
	report_window) converted to "dialog type", now they cannot be hided
	under main window. Changed the "modal" value to "No" in stats_window and
	report_window, now they can be loaded all time (and work normal in the
	others)

	fixed bug in graphs, global indexesQ, and fv in multisession when in a
	session there is no data

1 set 2005 (RELEASE 0.3)
	stats global and jumper with every combination between indexestype and
	selected jumps

	added indexQ to stats global and jumper (for all simple jumps with TC)
	added fv to stats global and jumper (for Sj+(100%), sj)

	added file chronojump_sample.db to CVS
	
	spanish translation updated
	
	web: 
	- mailing lists in new "contact" page
	- added info about chronopic propotype in construction

31 aug 2005
	show all person events done (closes task: 288)

	export now exports height and initial speed (closes task: 259)

	treeviewjumps shows height in centimeters

	fixed bug in stats global and person with multisession and right yaxis
	fixed bug in stats/simple/non indexes (showed "all" and "limit" and
	that's not possible)

	clean code in gui/stats.cs

26 aug 2005
	Added index F/V (task: 273) in stats and graphs
	new files: /src/stats/fv.cs /src/stats/graphs/fv.cs

	stats/global now does not show any indexes, only results of jumps, 
	now gets more simplified for the user, i think it was no relevant
	info

	Stats indexes IE and IUB now in stats simple, subtypes: "No indexes", "IE",
	"IUB"

	Added files src/stats/djQ.cs and src/stats/graphs/djQ.cs (forgot in
	last CVS update)

	fixed bug in stats current sessions/selected sessions radiobuttons
	group

25 aug 2005
	drop jump "Q index" (tv/tc) added (closes task: 260) added:
	src/stats/djQ.cs and src/stats/graphs/djQ.cs
	
	stats now have type, subtype and "apply to"
	rjIndex can be applied to "all reactive" or to one type of reactive
	jump.

	chronopic now gets initiated when starting if preferences/simulated ==
	false, or when serial port is selected. Also is Closed only if it was
	running

	bug solved in show stats rjevolution where there are no rj jumps
	improved stats gui
	stats show_enunciate not shown by default
	
	Web site: Added a graph of two contact platforms in index 

22 aug 2005
	load persons multiple finished (closes task: 271)

	fixed bug: partial times in treviewrun add (for the first run of a
	person) was not shown

21 aug 2005
	stats and graphs have now an:
		All simple jump stats (without TC, and mixing jumps with or without weight)
		All simple jump stats (with TC)
	
	when adding a jumpType or a runType, these cannot be named "All Jumps"
	and "All runs" respectively

20 aug 2005
	Added updated screenshots to the web site

	Improvements on english string for gettext (closes task: 286). Changes in 
		src/*.cs
		src/gui/*.cs
		src/stats/*.cs		
		src/stats/graphs/*.cs	
		and in glade file
			marked as not translatable in glade  what should not be translated. Clic on the right part of "label"
			row (the menu options should changed directly using vim... ejem!, an editor ;)

	Spanish translation done (closes task: 287)

	gettext support also in chronojump-mini
	updated file howto_translate.txt
	improved GUI

19 aug 2005
	Added personAddMultiple (now we can create 10 persons at once) (closes task: 270)

18 aug 2005
	Add run type and run interval type (closes task: 282)

	Add jump type with unlimited and improved usability
	
	improved usability of combos of jumps and runs adding a alignement,
	improved usability in preferences window 
	minor improving of other gui's
	
	fixed bug in jumping or running from more in "simulated" that calls
	more_accepted several incrementing times (this error comes from the
	"more" windows change in last cvs commit

17 aug 2005
	run interval execute unlimited (Fixes task 283)
	run interval more
	run interval cancel
	run interval finish (three above fixed task 281)
	"more" windows get hided when clic on "accept" (now suitable to clic cancel or finish)

	fixed bugs in unlimited RJ jumps and interval runs
	
	chronojump.cs moved to src
	cleaned gui sensitive code in chronojump.cs

17 aug 2005
	run interval implemented:
		combo
		treeview
		simulate (also unlimited)
		execute (unlimited pending)
		last
		edit
		delete
		show in load session

	new feature: jump or run repetitive until finish button is clicked:	
		jumpRj with a jump "unlimted" button
		runInterval with a run "unlimited" button (useful for course navette ad other incremental tests)
		"run free" renamed "run custom"
	
	fixed bug in Date representation in edit session

11 aug 2005
	web created by create_web_chronojump.pl perl script, allows mantain
	lots of pages in different languages.

	bugs: (this were solved in chronojump 0.2)
		fixed bug in assigning initial values in run (platform)
		fixed bug in show speed in km/h

3 aug 2005
	runs code implemented:
		edit run, delete run (and delete last jump&run integration) (closes task: 265)
		runs more
		run last
		runextra
		normalRun (closes task: 264)
		load session show number of runs
		added buttons for 100m, 200m, 400m, 1000m, 2000m

	other new code:
		database in home directory (closes task: 279)
		delete last check askPending, and better code for all jumps deletion

	bugs:
		fixed bug in deleting a Rj jump
		fixed bug in not showing fall and weight in RJ
		fixed bug in not showing fall in fis Rj of a jumper

	minor changes

28 jul 2005
	delete a person from a session and delete it's jumps in this session (closes task: 272)
	session edit and delete (closes task: 278)

	bugs:
		-repaired bug in comboSujeto (crashed when user clicks in
		combo)
		-bug in duplicated currentPerson in PersonRecuperateWindow
		class
		-repaired small bug in try to update stats when they are not created

28 jul 2005
	Task: 277: closed	
		- buttons for execute jumps are in different place than viewing
		jumps place (also for runs)
		- changed menubar (more user friendly)
		- stats window separated (added src/gui/stats.cs chronojump.cs
		is now cleaner)
		
	Implemented "Last jump" for normal and repetitive jumps (closes task: 257)
	Implemented "Stop Rj jump" (closes task: 266)
	Interface of each window is cleaner (border: 10px)
	
	bugs:
		repaired bug in threads in all jumps (deadlock)
		repaired bug in threads in cancelling all jumps
		repaired bug: expanding first jump in treeview (closes task: 262)
	
26 jul 2005
	height in all stats and graphs (selectable in preferences the
	preferred value (height or tv) in one-data charts)  (closes Task: 258)

	Changed test-saltos-mono to chronopjump-mini, now suitable for showing
	TV and TC
	
	bugs:
		repaired sorting in indexes (closes Task: 261)
		Fixed bug not showing weight in jumpRj
		Fixed bugs in deleting jumps and jumpsRj (just added in the treeviews)
		Fixed bug adding the first new Rjs in treeviewRj
		Fixed bug in load session window, when some sessions are deleted
	
	other:
		update stats always checkbutton (marked by default)
		button for repeat last jump
		button for finnish rj jumps (and save until that moment)
		changed name of function and files: rjPotencyAguado for rjPotencyBosco

25 april 2005
	runs & runsInterval:
		soon chronojump will manage runs
		new files: src/run.cs src/runType.cs src/sqlite/run.cs
		src/sqlite/runType.cs treeViewRun.cs
		gui prepared for run & runInterval
		sqlite prepared for run & runInterval
		pending: treeViewRunInterval, runs execution, edit, delete

	big reorganization: moved all jumps execution code from chronojump.cs to jump.cs

	Initial speed (take off speed) added (changed treeviewjumps.cs for
	easy adding new cols) (preference added in database)
	
	Fixed bug in counting reactive jumps in writeJumpReactive
	Fixed bug in treeview jumpRj Add (AVG)
	minor changes

2 april 2005
	RjEvolution stat now without AVG option (has no sense with Rj jumps with
	different name of subjumps)
	
	improved graphs with sex distintion
	
	When Indexes MAX is selected now keep MAX of every jump, not max of
	first and worst of second. Changed in Indexes and in Global

	Double click in session load, person recuperate, jumps more, jumps Rj
	more

26 march 2005
	new classes GraphData, GraphSerie, now graphs code is lot nicer and extensible
	graphs for all current stats
	all the histogram graphs rewritten as lineplots
	added GraphSjCmjAbkPlus and stats for weight simple jumps
	hability of know if a non predefined jumpType has weight

25 march 2005
	added GraphIeIub, GraphRjIndex, GraphRjPotencyAguado 
	added StatRjEvolution and GraphRjEvolution
	stats in categories, now all jumps are represented
	
	deleted dj stat (djIndex is more powerful)
	fixed bug in simplesession multivalues
	fixed bug in counting jumps in reactive limited by time

22 march 2005
	graphs with multiple values now work for simplesession and
	multisession (example: djindex: index, tv, tc, fall), suitable also
	for IE, IUB, ... Now we can make all kind of graphs
	
	created GraphDjIndex
	corrected bug in graphs global, missing AVG and MAX
22 march 2005
	threads in jumps (all jumps work Ok)
	ProgressBar in jumps
	Cancel jumps implemented
	Not jumps overlap (not possible to press a jump button while we are jumping)

15 march 2005
	all Reactive Jumps are working (i think) with the new chronopic code
	delete files serial.* (old jump detection method)
	write the jumps in seconds
	bug repaired in showing identifier of reactive jumps in treeviewRj.Add
	show first TC, later TV in treeviews

14 march 2005
	normal jumps and fall jumps now managed by new chronopic module (reactive jumps pending)
	
	included chronopic.o chronopic.cs test-saltos.mono.cs temporarily
	while we have not a good way of installing the two modules
	
13 march 2005
	treeviews
		Treeview_jumps and treeview_jumps_rj displayed in a notebook (page
		changes automatically if a jump of other page has to be displayed)
		Treeviews have now Weight and Fall columns
		filter and sort_by_type in treeview_jumps_rj
		better deletion on treeview_jumps_rj
		frame_jumps deleted: notebook_jumps fills space better
	beter menus
	beter display of stats options

12 march 2005
	jumpTypes:
		Tables jumpType and jumpRjType. New concept of jumps
		The features of each jump should be known by checking jumpType
		and jumpRjType tables, not it's name
		added JumpType class in jumpType.cs 
		added SqliteJumpType class in new file sqlite/jumpType.cs 
		added JumpTypeAddWindow in new file gui/jumpType.cs
		Buttons "more" and "more_rj" for executing lots of jumps(more_jumps widget)
		Hability of create new jump types (simple and reactive)
		Added CMJ+ and ABK+
		database version 0.2
	bugs:
		fixed bug in changing to serial port when starting new database
		fixed minor bugs
	other:
		added util.cs with "Util" class suitable for methods that were in different classes
		user interface get's hidden by it's frames when program starts
		cleaned some code

28 february 2005 (2)
	graphs:
		graph code inherits from stats/main.cs
		added sjCmjAbk graph
	bugs:
		fixed bug in stats sorting when AVG is selected
		fixed bug in removing stats columns after a graph was shown
	colors in multisesion graphs are created now randomly
	
28 february 2005
	fixed gtk# garbage collector bug in nplot graphs
	fixed bug in graphs with sex

21 february 2005
	first graphs: global and person both multisession and simplesession

14 february 2005
	treeview_jumps and rj bugs fixed in treeview Add in jumper without
	jumps, and in session without jumps
	Added info of chronojump database version on startup (in console)
	Treeview_jumps user interface improvements

13 february 2005
	new file treeViewJump.cs contains new classes TreeViewJump and
	TreeViewJumpRj (now managing this treeviews is cleaner and powerful:
	- two expanding modes in normal jumps
	- three expanding modes in RJ jumps
	- auto expand of Jumper when he jumps
	- deleted all old code like ArrayOfStringItersCollapsed and some other
	chronojump.cs global variables like JumpSelected

12 february 2005
	new stats (monosession and multisession): DJ index, IE, IUB, RJ index, RJ Potency Aguado
	stats repaired sorting in monosession
	
	Export to CSV (Comma Separated Values) complete! (only need to print
	data in status bar)
	Export to XML (starting)

	jumpRj is a new class inherited from Jump (before were in same Jump
	class)

	bug solved in personModify
	changed confirmwindow, confirwindowplatform code (used now also in
	export)

	menu changed: "Session, Jumpers, Jumps, Platform, Help"

5 february 2005
	reorganization:
		all .cs files moved to .src
		stats.cs divided in multiple files (under src/stats)
		sqlite.cs divided in multiple files (under src/sqlite)
		somewindows.cs divided in multiple files (under src/gui)
		Makefile changed
		added this changelog.txt

	stats changes:
		gui improved (4 statsJumpsType modes)
		simplesesion and multisession with fewer code in each stat
		in simplesession we can show lots of columns, in multisession one per session
		weight in sj+ cmj+ and abk+ is all converted to percent or Kgs depending on preferences
		changes in sqlite: cleaned lot of stats code
	
	others:
		added DB version in sqlite (for managing updates of database in the future)
		obligation of name for new session and new person
		obligation of weight for all jumpers, then we can show all the values in stats as '%' or as 'Kg' by simple conversion
		minor changes

OLD (newest before)
	all the windows modal except main and preferences
	added the current person stat
	added radiobuttons for showing stats: current, or selected
	radiobuttons simulated-serial moved to menu
	intersessions of global and currentPerson statistics !!

----
	Potencia muscular= 9,81^2 * TV * TT / (4*ns*(TT-TV) Aguado, p231

----
	corrected bug in load jumper (order of columns, and problems with the dateformat)
	gettext suport for al the .cs and glade
	made spanish es.po file

----
	mix normal jump code with sj+, it's almost the same
	repair bug in djindex (not in global) avg by sex. If a women has two jumps, the avg women it's not good
	repair BUG in StatGlobalDj and StatGlobalRj: if it's not sex separated and AVG, the sqlite function returns the AVG of both sexes, and later the stat function makes the AVG of this 2 sexes. This is not the same as making the AVG of all values.
	show the average, and DE at the end of every list of values (in stats)
	all in english

----
	preferences value for ask deletion of jumps

MISORDERED OLD CHANGES

	- study how to insert strange characters in the SQL: "'"
	- study the problems with static methods and widgets, note we can change the label clicking in RJ button, change this
	- check what happens if the user changes manually the combobox, it should not go to the sql function it the value is not possible. OR SOME WAWY TO BLOCK THE EDITING
	- when a new user is created, it should be selected in the combobox (then a new jump will be of this jumper): SOLVED SHOWING THE VALUES IN REVERSED ORDER
	- sex in creation of people
	- checkbox of sex differentiation in statistics 
	- 2 DJ stats (TV, index)
	- stats intrasession IE, IUB
	
	- check when creating a session that it doesn't exist
	- check when creating a person that it doesn't exist
	DJ demanar alçada caiguda
	(SJ pes) demanar quant pes % o Kg "22:%" "28:Kg"
	
	RJ jumps
	stats de SJ+
	stats de RJ
	height and weight in persons
	-RJ complete view
	- desactivar altura de TV a preferences
	in modifyperson, check de usedate and date, Remove de gnome.dateedit and use three ints, more easy to maintain and portable!!!
	
	if we edit a person, when it finishes, it update the combo of jumpers, and the last subject it's selected (not the subject we were just editing)... find a way of selecting in the combo the option what we want, not just the last of the options.
	-rip ':' in session name
	- create the widget jump modify 
	- in edit jump, repair some bugs: fall, weight (and weight type "Kg" or "%") should be editable. Check also that there's no confusion between the jump constructors, and the normal jumps, sj+, dj and rj, all are working ok
	- Make a delete selected jump and a confirmation window
	-clean code in the combojumps entry selection
	- Make a menuoption (radiobutton) for working "simulated" or "working platform". In every jump check this and then make random values or try to detect the platform. The default should be working platform. Store the value in prefences
	- change the way of storing data (weight, limit factor, fall) should be three different camps in the database. By this way we can create new jumps like RJ start falling and with weight, or RJ with weight or DJ with weight. DONE jumps.cs, sqlite.cs (until statclassificationonejump(without sex). Check all the gsalta calls to jump and sqlite and the confusing treatment of fall and weight. MIX sex and not sex, check info in:
		public static ArrayList StatClassificationOneJump (int sessionID, string jumpType)
	
	- change all the sex thing to a string "M" or "F"
	
	-BUG SOLVED: (sembla que peta quan s'obre una sessió sense saltadors (o es crea una sessio), i es recupera un i se'l fa saltar; provar de crear sessio nova, crar subjecte i després recuperar i fer saltar el recuperat NO PETA)
	
	-Mirar que passsa si li dones 3 vegades al SJ+ que passa amb les 3 finestres? SOLVED making windows MODAL (sj+, djfall, rj, confirmwindow)
	
	- Put a option in menu ("edit selected jump", "edit selected person")
	- edit-delete jumps
	- edit-delete jumpers (from one session or all sessions)
	
	- sql query for loading sessions knowing how many jumps in each session:
	in Sqlite.SelectAllSessions()
	select session.*, count(*) AS jumps from session, jump where session.uniqueID == jump.sessionID group by sessionID;
	
	-rewrite all Sqlite for not using the jumpTableName thing, only "jump". Same for session and person
	- in stats differenciate: 
	a) ranking of SJs (10 or more jumps (selectable))  //easy SQL
	b) ranking of SJ jumpers (rank of all jumpers with it's best sj)  //complex but just done
	
	something like:
	
	stat  substat            results                        sex
	----  ------		--------			---
	SJ    rank of jumps	  10 (spinbutton)		sex checkbutton
	      rank of jumpers	  spinbutton.Sensitive = false  sex checkbutton
	
	- try to use better SQL with group by (person id)
	 select * from jump where type = "CMJ" and sessionID = 3 group by personID order by tv desc (but it does not show the best tv's of everyone :(  ):
	
	---
	RANQUING OF PERSONS IN SJ AND SHOW THE BEST JUMP OF EACH:
	---
	SELECT max(jump.tv) AS jump_tv, person.name, person.sex
	FROM jump, person 
	WHERE jump.type ="SJ" 
	AND jump.sessionID=5 
	AND jump.personID == person.uniqueID 
	GROUP BY person.uniqueID 
	ORDER BY person.sex, jump_tv DESC;
	
	RANQUING OF PERSONS IN DJ index ( 100 * (tv-tc ) /tc )  AND SHOW THE BEST JUMP OF EACH:
	---
	SELECT max( 100 * (jump.tv - jump.tc) / jump.tc) AS jump_index, person.name, person.sex
	FROM jump, person 
	WHERE jump.type ="DJ" 
	AND jump.sessionID=5 
	AND jump.personID == person.uniqueID 
	GROUP BY person.uniqueID 
	ORDER BY person.sex, jump_index DESC;
	---
	
	RANQUING OF PERSONS IN IE (100 * (CMJ - SJ) / SJ )
	-----
	-using the MAX jumps:
	SELECT person.name, jump.type, MAX(jump.tv), person.sex 
	FROM person, jump 
	WHERE sessionID = 1 
	AND ( jump.type == "SJ" OR jump.type == "CMJ" ) 
	AND person.uniqueID == jump.personID 
	GROUP BY type, personID
	ORDER BY person.sex, person.uniqueID, jump.type;
	
	-using the AVG jumps:
	SELECT person.name, jump.type, AVG(jump.tv), person.sex
	FROM person, jump 
	WHERE sessionID = 1 
	AND ( jump.type == "SJ" OR jump.type == "CMJ" ) 
	AND person.uniqueID == jump.personID 
	GROUP BY type, personID;
	ORDER BY person.sex, person.uniqueID, jump.type;
	
	both return something like this: (if sex is "both")
	joana1|CMJ|0.465654519789691
	joana1|SJ|0.465654519789691
	xavi1|CMJ|0.465654519789691
	xavi1|SJ|0.184782230008758
	
	then treat each two rows for computing
	
	+++ problem, IE an IUB it's not sorted, and difficult to limit values +++: solved with nice SQL, all results in one line
	
	-bug, the stats sj, cmj and abk sex are wrong (refering to another sesion?). sj+ sex is good 
	
	++ separated treeview and sqlite tables for RJ jumps and non-RJ jumps:
	- repair the treeview of gsalta.cs for knowing RJs (probably for every RJ jump call a sql function)
	 (th treeview_jumps calls sqlite.selectalljumps (this will not return each RJ subjump) call another sql function for every RJ for knowing the subjumps).
	 All this is necessary for later doing statistics on all jumps
	- make the insert rj parts faster (sqlite.cs 422)
	
	SOLVED:
	BUG: in stat DJ (TV) and DJ(INDEX) jumpers MAX, the tv does not match the tc (it's not the same jump). Solution:
	"if we want operation == MAX in DJ (jumpers), we need to forget the GROUP BY and filter manually the first row of each person". 
	
	SOLVED with a check and a myMax value
	BUG: crash when create new session, because the Sqlite.StatGlobaldj  while(reader.Read()) crashes
	
	SESSION LOAD: 
	1.- do without the select of jumps (put a button "show details" for knowing the jumps and persons in that session):
	select count(*) from jump where sessionID=1;
	select count(*) from personSession where sessionID=1;
	2.- or try it in one row
	3.- or select also like this: select sessionID, count(*) from jump group by sessionID ORDER BY sessionID;
	1|24
	2|9
	15|10
	16|15
	17|20
	and this:  select sessionID, count(*) from personsession group by sessionID ORDER BY sessionID;
	1|4
	2|4
	11|1
	13|1
	14|1
	15|5
	16|4
	17|2
	AND record the two arrays and check the values against the sessionID and show in the table of load sesion
	
	in stats global calculate for TV and for the DJindex and RjIndex and IE and IUB, the statistics: avg, median, variance, standard deviaton (put checkbox for the wanted stats (probably we need a notebook for all this)
